package com.lanyuanxiaoyao.service.scheduler.strategy;

import org.quartz.JobDetail;
import org.quartz.Trigger;

/**
 * 调度策略
 *
 * @author ZhangJiacheng
 * @date 2023-06-06
 */
public interface ScheduleStrategy {
    Boolean enable();

    Boolean show();

    String name();

    String comment();

    JobDetail job();

    Trigger trigger();
}
